Run Security Audit
curl --request POST \
--url https://api.valiqor.com/v2/security/audit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_name": "<string>",
"dataset": [
{}
],
"batch_name": "<string>",
"config": {},
"openai_api_key": "<string>"
}
'import requests
url = "https://api.valiqor.com/v2/security/audit"
payload = {
"project_name": "<string>",
"dataset": [{}],
"batch_name": "<string>",
"config": {},
"openai_api_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_name: '<string>',
dataset: [{}],
batch_name: '<string>',
config: {},
openai_api_key: '<string>'
})
};
fetch('https://api.valiqor.com/v2/security/audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Security
Run Security Audit
Run security audit on a dataset
Evaluates each item in the dataset for safety violations (S1-S23). Creates a batch with all items and returns aggregate statistics.
Request Body:
{
"project_id": "uuid",
"dataset": [
{
"input": "User prompt",
"output": "Model response"
}
],
"batch_name": "Optional batch name",
"config": {
"check_categories": ["S1", "S2", "S3"]
}
}
POST
/
v2
/
security
/
audit
Run Security Audit
Authorizations
Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx
Body
application/json
Request to run security audit
Response
Successful Response
⌘I